/// <reference types="jasmine" />
export declare class JsonReporter {
    private testRunId;
    constructor(testRunId: string);
    jasmineStarted(suiteInfo: jasmine.JasmineStartedInfo): void;
    jasmineDone(doneInfo: jasmine.JasmineDoneInfo): Promise<void>;
    suiteStarted(result: jasmine.SuiteResult): void;
    suiteDone(result: jasmine.SuiteResult): void;
    specStarted(result: jasmine.SpecResult): void;
    specDone(result: jasmine.SpecResult): Promise<void>;
}
export declare class CloudwatchReporter {
    private cw;
    metricNamesapce: string;
    constructor(metricNamesapce: string);
    jasmineDone(doneInfo: jasmine.JasmineDoneInfo): Promise<void>;
    specDone(result: jasmine.SpecResult): Promise<void>;
}
export interface DynamoDBReporterProps {
    tableName: string;
    testRunId: string;
    dataRetentionDays: number;
}
export declare class DynamoDBReporter {
    private tableName;
    private testRunId;
    private dataRetentionDays;
    private db;
    constructor(props: DynamoDBReporterProps);
    jasmineDone(doneInfo: jasmine.JasmineDoneInfo): Promise<void>;
    private writeDoneInfoToDb;
}
export declare class CodePipelineReporter {
    private readonly jobId;
    private cp;
    constructor(jobId: string);
    jasmineDone(doneInfo: jasmine.JasmineDoneInfo): Promise<void>;
}
